searchData={"items":[{"type":"module","title":"Metar","doc":"Main module of the Elixir library for parsing METAR (METeorological Aerodrome Report). Provides API for decoding raw METAR strings. METAR is decoded into Metar structure.","ref":"Metar.html"},{"type":"function","title":"Metar.decode/1","doc":"Decodes raw metar strings. Returns Metar structure with raw metar and extracted values:\n\n* **raw**: raw METAR string\n* **station**: ICAO code of the airport, which reported the METAR\n* **day**: Observation day of the month\n* **time**: Observation time of the day\n* **wdir**: Prevailing wind direction\n* **vwdir_min**: Variable wind direction left value\n* **vwdir_max**: Variable wind direction right value\n* **wspd**: Wind mean speed. Can start with *ABV* or *P* for speed above 99 knots\n* **wgst**: Wind gust\n* **wunits**: Wind speed measure units: *MPS* or *KT*\n* **visib**: Prevailing visibility in meters\n* **temp**: tempreature\n* **devp**: dev point\n* **clouds**: Array of cloud layers. For each layer amount as abbreviation and height in ft are provided","ref":"Metar.html#decode/1"},{"type":"function","title":"Examples - Metar.decode/1","doc":"iex> Metar.decode(\"KMCI 250453Z 20011G15MPS 180V220 1 1/2SM FEW020 BKN300 31/21 A2982 RMK AO2 SLP084 T03060211\")\n    %Metar{\n      raw: \"KMCI 250453Z 20011MPS 1 1/2SM FEW020 BKN300 31/21 A2982 RMK AO2 SLP084 T03060211\",\n      station: \"KMCI\",\n      day: \"25\",\n      time: \"04:53\",\n      wdir: \"200\",\n      vwdir_min: \"180\",\n      vwdir_max: \"220\",\n      wspd: \"11\",\n      wgst: \"15\",\n      wunits: \"MPS\",\n      visib: 2400,\n      temp: 31,\n      devp: 21,\n      clouds: [%{cover: \"FEW\", base: 2000}, %{cover: \"BKN\", base: 30000}]\n    }","ref":"Metar.html#decode/1-examples"},{"type":"function","title":"Metar.split_into_tokens/1","doc":"Splits raw METAR string into tokens that represent some value.","ref":"Metar.html#split_into_tokens/1"},{"type":"function","title":"Example - Metar.split_into_tokens/1","doc":"iex> split_into_tokens(\"KMCI 250453Z 20011MPS 1 1/2SM FEW2000 BKN3000 31/21 A2982 RMK AO2 SLP084 T03060211\")\n    [\"KMCI\", \"250453Z\", \"20011MPS\", \"1 1/2SM\", \"FEW2000\", \"BKN3000\", \"31/21\", \"A2982\", \"RMK\", \"AO2\", \"SLP084\", \"T03060211\"]","ref":"Metar.html#split_into_tokens/1-example"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.36.1"}}